Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.CertVerifyResult Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | CertVerifyResult (cert, is_ca, is_trusted, response, response_effect_time_range, revoke_time, cert_status, reason, cert_check_time, exist_signature_vri_creation_time, signature_vri_creation_time, exist_response_signature_vri_creation_time, response_signature_vri_creation_time, response_info_location)
| Constructor, with parameters. More...
def | CertVerifyResult ()
| Constructor.
def | CertVerifyResult (other)
| Constructor, with another certificate verify result object. More...
def | Set (cert, is_ca, is_trusted, response, response_effect_time_range, revoke_time, cert_status, reason, cert_check_time, exist_signature_vri_creation_time, signature_vri_creation_time, exist_response_signature_vri_creation_time, response_signature_vri_creation_time, response_info_location)
| Set value. More...

## Static Public Attributes
| cert = _fsdk.CertVerifyResult_cert
| A certificate contnet.
| cert_check_time = _fsdk.CertVerifyResult_cert_check_time
| The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
| cert_status = _fsdk.CertVerifyResult_cert_status
| Certificate status. Please refer to values starting from FoxitPDFSDKPython2.CertVerifyResult.e_CertStatusValid and this should be one of these values.
| e_CertStatusExpired = _fsdk.CertVerifyResult_e_CertStatusExpired
| This means certificate is expired.
| e_CertStatusRevoked = _fsdk.CertVerifyResult_e_CertStatusRevoked
| This means certificate is revoked.
| e_CertStatusUnknown = _fsdk.CertVerifyResult_e_CertStatusUnknown
| This means certificate status is unknown.
| e_CertStatusValid = _fsdk.CertVerifyResult_e_CertStatusValid
| This means certificate is valid.
| e_LocationDSS = _fsdk.CertVerifyResult_e_LocationDSS
| Response information is found in DSS dictionary.
| e_LocationNotSet = _fsdk.CertVerifyResult_e_LocationNotSet
| Location is not set.
| e_LocationOnline = _fsdk.CertVerifyResult_e_LocationOnline
| Response information is got by online request.
| e_LocationSignature = _fsdk.CertVerifyResult_e_LocationSignature
| Response information is found in signature content.
| e_ReasonAACompromise = _fsdk.CertVerifyResult_e_ReasonAACompromise
| Revocatoin reason: AA compromise.
| e_ReasonAffiliationChanged = _fsdk.CertVerifyResult_e_ReasonAffiliationChanged
| Revocatoin reason: affiliation changed.
| e_ReasonCACompromise = _fsdk.CertVerifyResult_e_ReasonCACompromise
| Revocatoin reason: CA compromise.
| e_ReasonCertificateHold = _fsdk.CertVerifyResult_e_ReasonCertificateHold
| Revocatoin reason: certificate hold.
| e_ReasonCessationOfOperation = _fsdk.CertVerifyResult_e_ReasonCessationOfOperation
| Revocatoin reason: cessation of operation.
| e_ReasonKeyCompromise = _fsdk.CertVerifyResult_e_ReasonKeyCompromise
| Revocatoin reason: key compromise.
| e_ReasonNoStatus = _fsdk.CertVerifyResult_e_ReasonNoStatus
| Revocatoin reason: ceritifcate has no status.
| e_ReasonPrivilegeWithDrawn = _fsdk.CertVerifyResult_e_ReasonPrivilegeWithDrawn
| Revocatoin reason: privilege with drawn.
| e_ReasonRemoveFromCRL = _fsdk.CertVerifyResult_e_ReasonRemoveFromCRL
| Revocatoin reason: remove from CRL.
| e_ReasonSuperseded = _fsdk.CertVerifyResult_e_ReasonSuperseded
| Revocatoin reason: superseded.
| e_ReasonUnspecified = _fsdk.CertVerifyResult_e_ReasonUnspecified
| Revocatoin reason: unspecified reason.
| exist_response_signature_vri_creation_time = _fsdk.CertVerifyResult_exist_response_signature_vri_creation_time
| Indicate if creation time of response signature's VRI exists.
| exist_signature_vri_creation_time = _fsdk.CertVerifyResult_exist_signature_vri_creation_time
| Indicate if creation time of siganture's VRI exists.
| is_ca = _fsdk.CertVerifyResult_is_ca
| Indicate if the certificate is a CA certificate.
| is_trusted = _fsdk.CertVerifyResult_is_trusted
| Indicate if the certificate is truscted by user.
| reason = _fsdk.CertVerifyResult_reason
| Revocation reason of the certificate. Please refer to values starting from FoxitPDFSDKPython2.CertVerifyResult.e_ReasonNoStatus and this should be one of these values.
| response = _fsdk.CertVerifyResult_response
| A response for the certificate.
| response_effect_time_range = _fsdk.CertVerifyResult_response_effect_time_range
| The time range when the response takes effect.
| response_signature_vri_creation_time = _fsdk.CertVerifyResult_response_signature_vri_creation_time
| Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
| revoke_time = _fsdk.CertVerifyResult_revoke_time
| Revoked time got from the response.
| signature_vri_creation_time = _fsdk.CertVerifyResult_signature_vri_creation_time
| Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.

## Detailed Description

This class represents the verify result for a certificate.

## Constructor & Destructor Documentation

## ◆ CertVerifyResult() [1/2]

def FoxitPDFSDKPython2.CertVerifyResult.CertVerifyResult | ( |  | cert,
|  |  | is_ca,
|  |  | is_trusted,
|  |  | response,
|  |  | response_effect_time_range,
|  |  | revoke_time,
|  |  | cert_status,
|  |  | reason,
|  |  | cert_check_time,
|  |  | exist_signature_vri_creation_time,
|  |  | signature_vri_creation_time,
|  |  | exist_response_signature_vri_creation_time,
|  |  | response_signature_vri_creation_time,
|  |  | response_info_location
| ) |  |

Constructor, with parameters.

Parameters

  [in] | cert | A certificate contnet.
  [in] | is_ca | Indicate if the certificate is a CA certificate.
  [in] | is_trusted | Indicate if the certificate is trusted by user.
  [in] | response | A response for the certificate.
  [in] | response_effect_time_range | The time range when the response takes effect.
  [in] | revoke_time | Revoked time got from the response.
  [in] | cert_status | Certificate status. Please refer to values starting from FoxitPDFSDKPython2.CertVerifyResult.e_CertStatusValid and this should be one of these values.
  [in] | reason | Revocation reason of the certificate. Please refer to values starting from FoxitPDFSDKPython2.CertVerifyResult.e_ReasonNoStatus and this should be one of these values.
  [in] | cert_check_time | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_signature_vri_creation_time | Indicate if creation time of siganture's VRI exists.
  [in] | signature_vri_creation_time | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_response_signature_vri_creation_time | Indicate if creation time of response signature's VRI exists.
  [in] | response_signature_vri_creation_time | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | response_info_location | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from FoxitPDFSDKPython2.CertVerifyResult.e_LocationNotSet and this should be one of these values.

## ◆ CertVerifyResult() [2/2]

def FoxitPDFSDKPython2.CertVerifyResult.CertVerifyResult | ( |  | other | ) |

Constructor, with another certificate verify result object.

Parameters

  [in] | other | Another response object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.CertVerifyResult.Set | ( |  | cert,
|  |  | is_ca,
|  |  | is_trusted,
|  |  | response,
|  |  | response_effect_time_range,
|  |  | revoke_time,
|  |  | cert_status,
|  |  | reason,
|  |  | cert_check_time,
|  |  | exist_signature_vri_creation_time,
|  |  | signature_vri_creation_time,
|  |  | exist_response_signature_vri_creation_time,
|  |  | response_signature_vri_creation_time,
|  |  | response_info_location
| ) |  |

Set value.

Parameters

  [in] | cert | A certificate contnet.
  [in] | is_ca | Indicate if the certificate is a CA certificate.
  [in] | is_trusted | Indicate if the certificate is trusted by user.
  [in] | response | A response for the certificate.
  [in] | response_effect_time_range | The time range when the response takes effect.
  [in] | revoke_time | Revoked time got from the response.
  [in] | cert_status | Certificate status. Please refer to values starting from FoxitPDFSDKPython2.CertVerifyResult.e_CertStatusValid and this should be one of these values.
  [in] | reason | Revocation reason of the certificate. Please refer to values starting from FoxitPDFSDKPython2.CertVerifyResult.e_ReasonNoStatus and this should be one of these values.
  [in] | cert_check_time | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_signature_vri_creation_time | Indicate if creation time of siganture's VRI exists.
  [in] | signature_vri_creation_time | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_response_signature_vri_creation_time | Indicate if creation time of response signature's VRI exists.
  [in] | response_signature_vri_creation_time | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | response_info_location | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from FoxitPDFSDKPython2.CertVerifyResult.e_LocationNotSet and this should be one of these values.

Returns
  None.